﻿<%@ Page Language="C#" %>
<%@ Register src="~/App_Control/Dashboard.ascx" tagname="Dashboard" tagprefix="uc" %>
<%@ Register src="~/App_Control/Alerts.ascx" tagname="Alerts" tagprefix="uc" %>
<%@ Register src="~/App_Control/Tabs.ascx" tagname="Tabs" tagprefix="uc" %>

<style>
.content { 	background-color:#F7F7F7; border-bottom:1px solid #D8DFEA; margin:0px; padding:10px; }
.q { font-weight: bold; color: #333333; font-size: 14px; margin:0px; padding:0px; }
.a { background-color: #FFFFFF; border: 1px solid #D8DFEA; margin: 3px 0px 10px 0px; padding: 5px; }
</style>

<fb:title>Help</fb:title>
<uc:Dashboard ID="d" runat="server" />
<uc:Alerts ID="a" runat="server" />
<uc:Tabs ID="t" runat="server" />

<div class="content">
    <div class="q">What does this app do?</div>
    <div class="a">
    This app lets SmugMug users showcase a few of their SmugMug albums on
    their Facebook profile. Visitors to their profile <b>do not need to add the app</b> 
    in order to view these photographs.
    </div>
    
    <div class="q">How will my photos be displayed?</div>
    <div class="a">
    You can select up to four <b>featured albums</b>. For each album, pick one
    photograph from that album to be the thumbnail. (We recommend portrait orientation;
    it just looks better.) Then, you can <b>publish</b> the featured albums to your profile, 
    which does two things:
    <br />
    <br />
    <ol>
        <li>
            Adds a <b>story</b> to your mini feed and your friends' homepages:
            <br />
            <img src="http://smfb.fb.willsllc.com:8080/App_Themes/Facebook/example_story.png" />
        </li>
        <li>
            Adds a <b>box</b> to your profile displaying the thumbnails:
            <br />
            <img src="http://smfb.fb.willsllc.com:8080/App_Themes/Facebook/example_profile.png" />
        </li>
    </ol>
    In both the story and the box, your photos 
    <b>will link directly to your SmugMug gallery</b>.
    </div>
    
    <div class="q">What the heck is SmugMug?</div>
    <div class="a">
    SmugMug is hands-down the best photo sharing website on the
    Internet. Unlike most of its competitors (i.e. Flickr or Picassa),
    SmugMug is <b>not free</b>. The basic plan is $40/year.<br />
    Learn more at <a href="http://www.smugmug.com">www.smugmug.com</a> or
    go ahead and sign up for a 
    <a href="https://www.smugmug.com/signup.mg">risk-free 14-day trial</a>.
    </div>
    
    <div class="q">Do I need to have a SmugMug account?</div>
    <div class="a">
    Yes. This application is useless unless you have an account with SmugMug
    with at least four photo galleries uploaded.
    </div>    

    <div class="q">Where can I suggest new features?</div>   
    <div class="a">
    This app is completely open-source. Anyone can view the source code
    and contribute changes. If you are not a programmer but you just want
    to contribute your brilliant ideas, please 
    <a href="http://www.codeplex.com/smfb/WorkItem/List.aspx">add an issue</a>
    on CodePlex.
    </div>
    
</div>